## org.eclipse.m2m.atl.engine.vm
Class ASMXMLWriter

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.ASMWriter
          org.eclipse.m2m.atl.engine.vm.ASMXMLWriter

    public class ASMXMLWriter

extends ASMWriter

Constructor Summary
`ASMXMLWriter(java.io.PrintWriter out, boolean debug)`

Method Summary
`void` `print(ASM asm)`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.ASMWriter
`getConstantPool, getCPIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASMXMLWriter

    public ASMXMLWriter(java.io.PrintWriter out,
                        boolean debug)

Method Detail

### print

    public void print(ASM asm)

  Specified by:
    `print` in class `ASMWriter`

Copyright 2007 IBM Corporation and others. All Rights Reserved.